<p-growl [(value)]="msgs"></p-growl>

<div class="ui-g">
    <div class="ui-g ui-md-1 ui-lg-2"></div>
    <div class="ui-g-12 ui-md-10 ui-lg-8">
        <p-panel header="Cadastro de Médicos">
            <div class="ui-g form-group">
                <div class="ui-g-12 ui-md-6 ui-lg-4 ui-input-container">
                    <label>Nome:</label><br>
                    <input type="text" pInputText [(ngModel)]="medico.nome" />
                </div>

                <div class="ui-g-12 ui-md-6 ui-lg-4 ui-input-container">
                    <label>Sobrenome:</label><br>
                    <input type="text" pInputText [(ngModel)]="medico.sobrenome" />
                </div>

                <div class="ui-g-12 ui-md-6 ui-lg-4 ui-input-container">
                    <label>Especialidade:</label><br>
                    <p-dropdown [options]="especialidades" [(ngModel)]="medico.categoria" [filter]="true"></p-dropdown>
                </div>

                <div class="ui-g-12 ui-md-6 ui-lg-4 ui-input-container">
                    <label>E-mail:</label><br>
                    <input type="text" pInputText [(ngModel)]="medico.email" />
                </div>

                <div class="ui-g-12 ui-md-6 ui-lg-4 ui-input-container">
                    <label>Ativo:</label><br>
                    <p-checkbox name="groupname" [value]="true" [(ngModel)]="selectedValue"></p-checkbox>
                </div>

                <div class="ui-g-12 ui-md-6 ui-lg-4 ui-input-container">
                    <label>Status:</label><br>
                    <p-radioButton label="Ocupado" name="groupname" [value]="1" [(ngModel)]="medico.status"></p-radioButton>
                    <p-radioButton label="Disponível" name="groupname" [value]="2" [(ngModel)]="medico.status"></p-radioButton>
                </div>

                <div class="ui-g-12 ui-md-6 ui-lg-4 ui-input-container">
                    <label>Estado:</label><br>
                    <p-dropdown [options]="estados" [(ngModel)]="medico.municipio.estado" [autoWidth]="false" [filter]="true" (ngModelChange)="onEstadoChange(medico.municipio.estado)"></p-dropdown>
                </div>

                <div class="ui-g-12 ui-md-6 ui-lg-4 ui-input-container">
                    <label>Municipio:</label><br>
                    <p-dropdown [options]="municipios" [(ngModel)]="medico.municipio" [autoWidth]="false" [filter]="true"></p-dropdown>
                </div>

                <div class="ui-g-12 ui-g-nopad ui-btn-container ">
                    <div class="ui-g-12 ui-md-3 ">
                        <button pButton type="button " class="ui-button-info " label="Salvar Médico" (click)="save()"></button>
                    </div>
                    <div class="ui-g-12 ui-md-3 ">
                        <button pButton type="button " class="ui-button-secondary " label="Cancelar" [routerLink]="['/medico']"></button>
                    </div>
                </div>
            </div>
        </p-panel>
    </div>
    <div class="ui-g ui-md-1 ui-lg-2"></div>
</div>